<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:56 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Debug (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Debug (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":9,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Debug.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/util/debug/Debug.html" target="_top">Frames</a></li>
<li><a href="Debug.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.util.debug</div>
<h2 title="Class Debug" class="title">Class Debug</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>towerwarspp.util.debug.Debug</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Debug</span>
extends java.lang.Object</pre>
<div class="block">Singleton class used to globally log debug messages. Via <a href="../../../towerwarspp/util/debug/Debug.html#getInstance--"><code>getInstance()</code></a> a reference to the current <a href="../../../towerwarspp/util/debug/Debug.html#debug"><code>debug</code></a>
 can be obtained. The <a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug"><code>DebugLevel</code></a> and <a href="../../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug"><code>DebugSource</code></a> that should be logged can be specified via <a href="../../../towerwarspp/util/debug/Debug.html#setDebugLevel-towerwarspp.util.debug.DebugLevel-"><code>setDebugLevel(DebugLevel)</code></a>
 and <a href="../../../towerwarspp/util/debug/Debug.html#setSource-towerwarspp.util.debug.DebugSource-"><code>setSource(DebugSource)</code></a>.
 If only the <a href="../../../towerwarspp/util/debug/Debug.html#debugLevel"><code>debugLevel</code></a> is set, all received messages that have the same level or lower will be logged.
 If only the <a href="../../../towerwarspp/util/debug/Debug.html#debugSource"><code>debugSource</code></a> is set, all received messages that originate from the set source will be logged.
 If both the level and source is set, all messages that originate from this source <b>and</b> have a <a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug"><code>DebugLevel</code></a>
 equal to the set or lower, will be logged.

 Messages can be sent by calling <a href="../../../towerwarspp/util/debug/Debug.html#send-towerwarspp.util.debug.DebugLevel-towerwarspp.util.debug.DebugSource-java.lang.String-"><code>send(DebugLevel, DebugSource, String)</code></a>.
 The currently stored debug output can be retrieved by calling <a href="../../../towerwarspp/util/debug/Debug.html#getDebugOutput--"><code>getDebugOutput()</code></a> or by calling the <a href="../../../towerwarspp/util/debug/Debug.html#toString--"><code>toString()</code></a>
 method. Retrieving the logged messages will delete them from the Debug object.

 Note: For debug messages that occur with high frequency <a href="../../../towerwarspp/util/debug/Debug.html#isCollecting--"><code>isCollecting()</code></a> should first be checked before calling
 the <a href="../../../towerwarspp/util/debug/Debug.html#send-towerwarspp.util.debug.DebugLevel-towerwarspp.util.debug.DebugSource-java.lang.String-"><code>send(DebugLevel, DebugSource, String)</code></a> method to avoid unnecessary method calls and String creation.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>16-07-17</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Robin Hundt</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/Debug.html#debug">debug</a></span></code>
<div class="block">Single instance of this class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/Debug.html#debugging">debugging</a></span></code>
<div class="block">Is set to true if either <a href="../../../towerwarspp/util/debug/Debug.html#setSource-towerwarspp.util.debug.DebugSource-"><code>setSource(DebugSource)</code></a> or <a href="../../../towerwarspp/util/debug/Debug.html#setDebugLevel-towerwarspp.util.debug.DebugLevel-"><code>setDebugLevel(DebugLevel)</code></a> is called.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/Debug.html#debugLevel">debugLevel</a></span></code>
<div class="block">The <a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug"><code>DebugLevel</code></a> that is being logged.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.StringBuffer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/Debug.html#debugMessages">debugMessages</a></span></code>
<div class="block">StringBuffer that is internally used to store all received debug messages.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug">DebugSource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/Debug.html#debugSource">debugSource</a></span></code>
<div class="block">The <a href="../../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug"><code>DebugSource</code></a> that is being logged.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/Debug.html#Debug--">Debug</a></span>()</code>
<div class="block">Can only be called once via <a href="../../../towerwarspp/util/debug/Debug.html#getInstance--"><code>getInstance()</code></a>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/Debug.html#getDebugLevel--">getDebugLevel</a></span>()</code>
<div class="block">Returns the current set <a href="../../../towerwarspp/util/debug/Debug.html#debugLevel"><code>debugLevel</code></a></div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/Debug.html#getDebugOutput--">getDebugOutput</a></span>()</code>
<div class="block">Returns the currently stored debug messages inside the <a href="../../../towerwarspp/util/debug/Debug.html#debugMessages"><code>debugMessages</code></a> StringBuffer.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/Debug.html#getInstance--">getInstance</a></span>()</code>
<div class="block">Returns the current <a href="../../../towerwarspp/util/debug/Debug.html#debug"><code>debug</code></a> instance.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug">DebugSource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/Debug.html#getSource--">getSource</a></span>()</code>
<div class="block">Returns the current logged <a href="../../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug"><code>DebugSource</code></a>.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/Debug.html#isCollecting--">isCollecting</a></span>()</code>
<div class="block">Returns whether the Debug object is collecting.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/Debug.html#send-towerwarspp.util.debug.DebugLevel-towerwarspp.util.debug.DebugSource-java.lang.String-">send</a></span>(<a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a>&nbsp;level,
    <a href="../../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug">DebugSource</a>&nbsp;source,
    java.lang.String&nbsp;msg)</code>
<div class="block">Can be used to send debug messages with the specified <a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug"><code>DebugLevel</code></a> and <a href="../../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug"><code>DebugSource</code></a> to the <a href="../../../towerwarspp/util/debug/Debug.html#debugMessages"><code>debugMessages</code></a> Buffer
 to await collection by <a href="../../../towerwarspp/util/debug/Debug.html#getDebugOutput--"><code>getDebugOutput()</code></a>.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/Debug.html#setDebugLevel-towerwarspp.util.debug.DebugLevel-">setDebugLevel</a></span>(<a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a>&nbsp;debugLevel)</code>
<div class="block">Sets the Debug level.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/Debug.html#setSource-towerwarspp.util.debug.DebugSource-">setSource</a></span>(<a href="../../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug">DebugSource</a>&nbsp;source)</code>
<div class="block">Sets the Debug level.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/util/debug/Debug.html#toString--">toString</a></span>()</code>
<div class="block">Calling this method will return the currently logged debug output inside <a href="../../../towerwarspp/util/debug/Debug.html#debugMessages"><code>debugMessages</code></a>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="debug">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>debug</h4>
<pre>private static&nbsp;<a href="../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a> debug</pre>
<div class="block">Single instance of this class.</div>
</li>
</ul>
<a name="debugging">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>debugging</h4>
<pre>private&nbsp;boolean debugging</pre>
<div class="block">Is set to true if either <a href="../../../towerwarspp/util/debug/Debug.html#setSource-towerwarspp.util.debug.DebugSource-"><code>setSource(DebugSource)</code></a> or <a href="../../../towerwarspp/util/debug/Debug.html#setDebugLevel-towerwarspp.util.debug.DebugLevel-"><code>setDebugLevel(DebugLevel)</code></a> is called.</div>
</li>
</ul>
<a name="debugLevel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>debugLevel</h4>
<pre>private&nbsp;<a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a> debugLevel</pre>
<div class="block">The <a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug"><code>DebugLevel</code></a> that is being logged.</div>
</li>
</ul>
<a name="debugSource">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>debugSource</h4>
<pre>private&nbsp;<a href="../../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug">DebugSource</a> debugSource</pre>
<div class="block">The <a href="../../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug"><code>DebugSource</code></a> that is being logged.</div>
</li>
</ul>
<a name="debugMessages">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>debugMessages</h4>
<pre>private&nbsp;java.lang.StringBuffer debugMessages</pre>
<div class="block">StringBuffer that is internally used to store all received debug messages.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Debug--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Debug</h4>
<pre>private&nbsp;Debug()</pre>
<div class="block">Can only be called once via <a href="../../../towerwarspp/util/debug/Debug.html#getInstance--"><code>getInstance()</code></a>.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDebugLevel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDebugLevel</h4>
<pre>public&nbsp;<a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a>&nbsp;getDebugLevel()</pre>
<div class="block">Returns the current set <a href="../../../towerwarspp/util/debug/Debug.html#debugLevel"><code>debugLevel</code></a></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>current debug leve</dd>
</dl>
</li>
</ul>
<a name="setDebugLevel-towerwarspp.util.debug.DebugLevel-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDebugLevel</h4>
<pre>public&nbsp;void&nbsp;setDebugLevel(<a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a>&nbsp;debugLevel)</pre>
<div class="block">Sets the Debug level.
 Also sets <a href="../../../towerwarspp/util/debug/Debug.html#debugging"><code>debugging</code></a> to true.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>debugLevel</code> - debug level to collect messages at</dd>
</dl>
</li>
</ul>
<a name="getSource--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSource</h4>
<pre>public&nbsp;<a href="../../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug">DebugSource</a>&nbsp;getSource()</pre>
<div class="block">Returns the current logged <a href="../../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug"><code>DebugSource</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>logged source</dd>
</dl>
</li>
</ul>
<a name="setSource-towerwarspp.util.debug.DebugSource-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSource</h4>
<pre>public&nbsp;void&nbsp;setSource(<a href="../../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug">DebugSource</a>&nbsp;source)</pre>
<div class="block">Sets the Debug level.
 Also sets <a href="../../../towerwarspp/util/debug/Debug.html#debugging"><code>debugging</code></a> to true.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>source</code> - source to collect messages at</dd>
</dl>
</li>
</ul>
<a name="getInstance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstance</h4>
<pre>public static&nbsp;<a href="../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a>&nbsp;getInstance()</pre>
<div class="block">Returns the current <a href="../../../towerwarspp/util/debug/Debug.html#debug"><code>debug</code></a> instance. If <a href="../../../towerwarspp/util/debug/Debug.html#debug"><code>debug</code></a> is null the <a href="../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a> constructor is called.
 This way only one instance can exist at any one time.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the single Debug instance</dd>
</dl>
</li>
</ul>
<a name="getDebugOutput--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDebugOutput</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDebugOutput()</pre>
<div class="block">Returns the currently stored debug messages inside the <a href="../../../towerwarspp/util/debug/Debug.html#debugMessages"><code>debugMessages</code></a> StringBuffer. by calling it's toString()
 method. The Buffer is reset by assigning a new StringBuffer to <a href="../../../towerwarspp/util/debug/Debug.html#debugMessages"><code>debugMessages</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the debug messages logged so far</dd>
</dl>
</li>
</ul>
<a name="isCollecting--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCollecting</h4>
<pre>public&nbsp;boolean&nbsp;isCollecting()</pre>
<div class="block">Returns whether the Debug object is collecting.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if <a href="../../../towerwarspp/util/debug/Debug.html#debug"><code>debug</code></a> is collecting messages</dd>
</dl>
</li>
</ul>
<a name="send-towerwarspp.util.debug.DebugLevel-towerwarspp.util.debug.DebugSource-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre>public&nbsp;void&nbsp;send(<a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug">DebugLevel</a>&nbsp;level,
                 <a href="../../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug">DebugSource</a>&nbsp;source,
                 java.lang.String&nbsp;msg)</pre>
<div class="block">Can be used to send debug messages with the specified <a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug"><code>DebugLevel</code></a> and <a href="../../../towerwarspp/util/debug/DebugSource.html" title="enum in towerwarspp.util.debug"><code>DebugSource</code></a> to the <a href="../../../towerwarspp/util/debug/Debug.html#debugMessages"><code>debugMessages</code></a> Buffer
 to await collection by <a href="../../../towerwarspp/util/debug/Debug.html#getDebugOutput--"><code>getDebugOutput()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>level</code> - of the debug message</dd>
<dd><code>source</code> - of the debug message</dd>
<dd><code>msg</code> - Message to be sent</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block">Calling this method will return the currently logged debug output inside <a href="../../../towerwarspp/util/debug/Debug.html#debugMessages"><code>debugMessages</code></a>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String containing all the logged debug messages</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Debug.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../towerwarspp/util/debug/DebugLevel.html" title="enum in towerwarspp.util.debug"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/util/debug/Debug.html" target="_top">Frames</a></li>
<li><a href="Debug.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
